import { IEvent } from "../Event";
import { IAppStateService } from "./IAppStateService";
export declare class AppStateService implements IAppStateService {
    private _syncLock;
    private _isInFouces;
    private _canHibernate;
    private _returnedFromSuspension;
    private _serviceName;
    private _onReturnedFromSuspensionEvent;
    private _onSuspendedEvent;
    private _onEnterLowPowerModeEvent;
    private _onExitLowPowerModeEvent;
    private _onBackButtonPressedEvent;
    private _onForwardButtonPressedEvent;
    _constructor(): void;
    Suspend(): void;
    ReturnFromSuspension(): void;
    EnterLowPowerMode(): void;
    ExitLowPowerMode(): void;
    IsWorkingInWebView(): boolean;
    private IsHidden;
    IsActive(): boolean;
    IsInBackground(): boolean;
    ReturnedFromSuspension(): boolean;
    IsHibernationAllowed(): boolean;
    DisallowHibernation(): void;
    AllowHibernation(): void;
    OnReturnedFromSuspension(): IEvent;
    OnSuspended(): IEvent;
    OnEnterLowPowerMode(): IEvent;
    OnExitLowPowerMode(): IEvent;
    OnBackButtonPressed(): IEvent;
    OnForwardButtonPressed(): IEvent;
    GetServiceName(): string;
}
