import { IEvent } from "../Event";
import { IDIService } from "../IDIService";
export interface IAppStateService extends IDIService {
    Suspend(): void;
    ReturnFromSuspension(): void;
    EnterLowPowerMode(): void;
    ExitLowPowerMode(): void;
    IsWorkingInWebView(): boolean;
    IsActive(): boolean;
    ReturnedFromSuspension(): boolean;
    IsInBackground(): boolean;
    IsHibernationAllowed(): boolean;
    DisallowHibernation(): void;
    AllowHibernation(): void;
    OnReturnedFromSuspension(): IEvent;
    OnSuspended(): IEvent;
    OnEnterLowPowerMode(): IEvent;
    OnExitLowPowerMode(): IEvent;
    OnBackButtonPressed(): IEvent;
    OnForwardButtonPressed(): IEvent;
}
